<?php
/*---------------------------------------------------------------*/
/*
    Titre : Convertisseur de date (2019-11-05 -> Mardi 5 Novembre)                                                        
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=1126
    Auteur           : CaptainHash                                                                                        
    Date dition     : 05 Nov 2019                                                                                        
    Date mise  jour : 11 Nov 2019
                                                                                       
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
    - modification de la description                                                                                      
*/
/*---------------------------------------------------------------*/

  function numdate_to_date($date) {

    $day_week = array(1=>"Lundi",
                      2=>"Mardi",
                      3=>"Mercredi",
                      4=>"Jeudi",
                      5=>"Vendredi",
                      6=>"Samedi",
                      7=>"Dimanche");

     $months = array(1=>"janvier",
                     2=>"février",
                     3=>"mars",
                     4=>"avril",
                     5=>"mai",
                     6=>"juin",
                     7=>"juillet",
                     8=>"aout",
                     9=>"septembre",
                     10=>"octobre",
                     11=>"novembre",
                     12=>"décembre");

    list($annee, $mois, $jour) = explode ("-", $date);

    $timestamp = mktime(0,0,0, date($mois), date($jour), date($annee));
    $njour = date("N",$timestamp);
    $day_month = date("d",$timestamp);
    $nmonth = date("n",$timestamp);

    return $day_week[$njour] . " " . $day_month . " " . $months[$nmonth];
  }
?>